Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455247 - with protectio enabled, java client can deadlock
Summary: with protectio enabled, java client can deadlock
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-java
Version: 1.0
Hardware: All
OS: Linux
urgent
high
Target Milestone: 1.0.1
: ---
Assignee: Rafael H. Schloming
QA Contact: Kim van der Riet
URL:
Whiteboard:
Depends On:
Blocks: 455249 460185
TreeView+ depends on / blocked
 
Reported: 2008-07-14 13:41 UTC by Rafael H. Schloming
Modified: 2014-12-01 23:14 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-10-06 19:08:37 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0640 normal SHIPPED_LIVE Red Hat Enterprise MRG bug fix and enhancement update 2008-10-06 19:08:07 UTC

Description Rafael H. Schloming 2008-07-14 13:41:39 UTC
With -Dprotectio=true, the java client adds a MINA filter that will block writes
if there are more than N bytes of outstanding writes being held in memory.
Unfortunately, this can cause deadlocks in the client because MINA only uses one
thread to process all I/O (both reads and writes). The deadlock can occur when
the client tries to write directly from the callback made by the MINA I/O
thread. If this write attempt should block, then MINAs I/O thread will block
until some outstanding writes have been made, but no more writes can ever be
made because the MINA I/O thread that is supposed to do those writes is being
blocked by the callback.

Comment 4 errata-xmlrpc 2008-10-06 19:08:37 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0640.html


Note You need to log in before you can comment on or make changes to this bug.